Skip to main content
POST
/
v1
/
agents
Create a new Agent
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/agents \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentType": "data_productivity_cloud",
  "cloudProvider": "aws",
  "deployment": "fargate",
  "name": "AWS Agent",
  "description": "An AWS Agent",
  "enableAutoUpdates": true,
  "restrictedAccess": true,
  "trackName": "current"
}
'
{
  "agentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "agentStatus": "running",
  "agentType": "data_productivity_cloud",
  "cloudProvider": "aws",
  "connected": true,
  "deployment": "fargate",
  "description": "An AWS Agent",
  "enableAutoUpdates": true,
  "name": "AWS Agent",
  "pausedUntil": "2025-01-01T00:00:00.000Z",
  "restrictedAccess": true,
  "versionDetails": {
    "agentUpdateAvailable": false,
    "agentVersion": "1.0.0",
    "support": "SUPPORTED",
    "trackName": "current",
    "trackReleaseDate": "2025-01-01T00:00:00.000Z",
    "trackVersion": "1.0.0"
  }
}

Authorizations

Authorization
string
header
required

a valid bearer token

Body

application/json
agentType
enum<string>
required

The type of Agent being created

Available options:
data_productivity_cloud,
streaming
Example:

"data_productivity_cloud"

cloudProvider
enum<string>
required

The cloud provider of the Agent to be created. The Cloud Provider must correspond with the chosen Agent Type.

Available cloud providers are:

  • aws - Available for both data_productivity_cloud and streaming Agent Types.
  • azure - Available for both data_productivity_cloud and streaming Agent Types.
  • snowflake - Only available for data_productivity_cloud Agent Types.
  • gcp - Only available for streaming Agent Types.
Available options:
aws,
azure,
snowflake,
gcp
Example:

"aws"

deployment
enum<string>
required

The deployment type of the Agent to be created. The Deployment Type must correspond with the chosen Agent Type and Cloud Provider.

Available deployment types are:

  • fargate - Available for AWS Cloud Provider, for both data_productivity_cloud and streaming Agent Types.
  • eks - Available for AWS Cloud provider, for both data_productivity_cloud and streaming Agent Types.
  • container app - Available for Azure Cloud provider, only for data_productivity_cloud Agent Types.
  • aci - Available for Azure Cloud provider, only for streaming Agent Types.
  • aks - Available for Azure Cloud provider, for both data_productivity_cloud and streaming Agent Types.
  • native app - Available for Snowflake Cloud provider, only for data_productivity_cloud Agent Types.
  • gke - Available for GCP Cloud provider, only for streaming Agent Types.
  • gce - Available for GCP Cloud provider, only for streaming Agent Types.
Available options:
fargate,
eks,
container app,
aks,
aci,
native app,
gke,
gce
Example:

"fargate"

name
string
required

The name to set for the Agent being created

Required string length: 1 - 30
Example:

"AWS Agent"

description
string

The description to set for the Agent being created

Maximum string length: 500
Example:

"An AWS Agent"

enableAutoUpdates
boolean

Whether the Agent being created is set to automatically update.

Note, this is not available for Snowflake Agents or Streaming Agents.

Example:

true

restrictedAccess
boolean

Whether the Agent is restricted to a specific set of projects. If set to true, the Agent will only be applicable to projects it is scoped to have access to.

Note, this cannot be set for Streaming Agents.

Example:

true

trackName
enum<string>

The version track applied to the Agent being created. This is not required for Streaming Agents.

Note, Snowflake Agents can only be on the STABLE track.

Available options:
current,
stable
Example:

"current"

Response

Agent created successfully

agentId
string

The ID of the Agent

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

agentStatus
string

The reported status of the Agent

Example:

"running"

agentType
string

The type of Agent

Example:

"data_productivity_cloud"

cloudProvider
string

The cloud provider the Agent is hosted in

Example:

"aws"

connected
boolean

Whether the Agent is connected

Example:

true

deployment
string

The deployment type of the Agent

Example:

"fargate"

description
string

The description set for the Agent

Example:

"An AWS Agent"

enableAutoUpdates
boolean

Whether the Agent is set to automatically update

Example:

true

name
string

The name of the Agent

Example:

"AWS Agent"

pausedUntil
string

The date and time the Agent will be unpaused automatically. Only returned if the Agent is currently paused

Example:

"2025-01-01T00:00:00.000Z"

restrictedAccess
boolean

Whether the Agent is restricted to a specific set of projects

Example:

true

versionDetails
object

The version details of the Agent